#include <stdio.h>

int main()
{
  int n,i,j,k;
  //printf("Unesite ceo broj veci od 0: ");
  scanf("%d", &n);
  if (n<1)               //ako je broj manji od 1 ispisati -1(gresku)
  {
    printf("-1\n");
    return -1;
  }
  k=n-1;     
  for(i=1;i<=n;i++)     //ima onoliko redova koliko je n
  {
    for(j=1;j<=k;j++)   //ispisati prazninu k puta na pocetku svakog reda 
      printf(" ");
    for(j=1;j<=i-1;j++) //ispisati'*A' i-1 puta, gde je i jednak broju reda
      printf("*A");     
    printf("*");        //nakon toga ispisati '*'
    printf("\n");       //i na krju svako reda ispisati '\n' da bi se preslo u sledeci red
    k--;                //broj praznina na pocetku reda se u svakom narednom redu smanjuje za 1
  }
  return 0;
}